GET /connections
List all connections, optionally filtered by source, destination, or status.

Authentication

API Key (header: X-API-Key) API Key (cookie: better-auth.session_token)

Query Parameters

org_id string optional query
Organization ID
env_id string optional query
Environment ID
status string optional query
Filter by status
source_id string optional query
Filter by source ID
destination_id string optional query
Filter by destination ID

Responses

200 List of connections
application/json
connections object | null[] REQUIRED
Array of:
id string REQUIRED
org_id string REQUIRED
env_id string REQUIRED
source_id string REQUIRED
destination_id string REQUIRED
name string REQUIRED
description string | null REQUIRED
enabled integer REQUIRED
filter_rules string | null REQUIRED
status string REQUIRED
event_count integer REQUIRED
last_event_at string | null REQUIRED
created_at string REQUIRED
updated_at string REQUIRED
transform_enabled integer REQUIRED
transform_expression string | null REQUIRED
source_name string | null REQUIRED
destination_name string | null REQUIRED
401 Unauthorized
curl -X GET 'https://hookstream.io/v1/connections' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://hookstream.io/v1/connections', {
  method: 'GET',
  headers: {
      "Authorization": "Bearer YOUR_API_TOKEN"
  }
});

const data = await response.json();
console.log(data);
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN'
}

response = requests.get('https://hookstream.io/v1/connections', headers=headers)
print(response.json())
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	req, _ := http.NewRequest("GET", "https://hookstream.io/v1/connections", nil)
	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")

	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
	result, _ := io.ReadAll(resp.Body)
	fmt.Println(string(result))
}
200 Response
{
  "connections": [
    {
      "id": "<string>",
      "org_id": "<string>",
      "env_id": "<string>",
      "source_id": "<string>",
      "destination_id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "enabled": 123,
      "filter_rules": "<string>",
      "status": "<string>",
      "event_count": 123,
      "last_event_at": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>",
      "transform_enabled": 123,
      "transform_expression": "<string>",
      "source_name": "<string>",
      "destination_name": "<string>"
    }
  ]
}
GET /connections
Ask a question... ⌘I